package com.topsunit.scanservice.ximai.entity;

import com.topsunit.scanservice.ximai.entity.listeners.EntityChangeListener;

import javax.persistence.EntityListeners;
import javax.persistence.MappedSuperclass;

/**
 * <p>Title: EntityBase</p>
 * <p>Description: EntityBase</p>
 *
 * @author xi.feng
 * @version V1.0
 * @date 2021/11/2
 */
@MappedSuperclass
@EntityListeners(value = {EntityChangeListener.class})
public abstract class EntityBase {
    private String company = "";
    private String creator = "";
    private String usr_group = "";
    private String create_date = "";
    private String modifier = "";
    private String modi_date = "";
    private Integer flag;

    public String getCompany() {
        return company;
    }

    public void setCompany(String company) {
        this.company = company;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getUsr_group() {
        return usr_group;
    }

    public void setUsr_group(String usr_group) {
        this.usr_group = usr_group;
    }

    public String getCreate_date() {
        return create_date;
    }

    public void setCreate_date(String create_date) {
        this.create_date = create_date;
    }

    public String getModifier() {
        return modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    public String getModi_date() {
        return modi_date;
    }

    public void setModi_date(String modi_date) {
        this.modi_date = modi_date;
    }

    public Integer getFlag() {
        return flag;
    }

    public void setFlag(Integer flag) {
        this.flag = flag;
    }
}
