package com.topsunit.scanservice.ximai.controller;

import com.topsunit.scanservice.ximai.dto.MoctaDocDto;
import com.topsunit.scanservice.ximai.dto.MoctaIdCriteria;
import com.topsunit.scanservice.ximai.service.MoctaService;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import java.util.Optional;

/**
 * <p>Title: MoctaController</p>
 * <p>Description: 工单单头</p>
 *
 * @author xi.feng
 * @version V1.0
 * @date 2021/11/16
 */
@RestController
public class MoctaController {

    private final MoctaService moctaService;

    public MoctaController(MoctaService moctaService) {
        this.moctaService = moctaService;
    }

    @PostMapping("/mocta/getfordoc")
    Optional<MoctaDocDto> getForDoc(@RequestBody MoctaIdCriteria criteria){
        return moctaService.getForDoc(criteria);
    }
}
