package com.topsunit.scanservice.ximai.dao;

import com.topsunit.scanservice.ximai.entity.Invml;
import com.topsunit.scanservice.ximai.entity.InvmlId;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;

import java.util.List;
import java.util.Optional;

/**
 * Author:   Jack
 * Date:     2021/10/29 21:56
 * Description: 品号仓库库位档Dao
 */
public interface InvmlDao extends JpaRepository<Invml, InvmlId>, JpaSpecificationExecutor<Invml> {
    List<Invml> findByMl001OrderByMl002AscMl003AscMl004Asc(String ml001);
}
