package com.topsunit.scanservice.ximai.dto;

import java.math.BigDecimal;
import java.util.List;

/**
 * Author:   Jack
 * Date:     2021/10/29 8:50
 * Description: 工单单头Dto
 */
public class MoctaDto {
    /*工单单别*/
    private String ta001;
    /*工单单号*/
    private String ta002;

    /*开单日期[FORMATE:YMD]*/
    private String ta003;
    /*BOM日期[FORMATE:YMD]*/
    private String ta004;
    /*BOM版本*/
    private String ta005;
    /*产品品号*/
    private String ta006;
    /*单位*/
    private String ta007;
    /*预留字段 小单位*/
    private String ta008;
    /*预计开工[FORMATE:YMD]*/
    private String ta009;
    /*预计完工[FORMATE:YMD]*/
    private String ta010;
    /*状态码 1.未生产、2.已发料、3.生产中、Y.已完工、y.指定完工*/
    private String ta011;
    /*实际开工[FORMATE:YMD]*/
    private String ta012;
    /*审核码 Y、N、V*/
    private String ta013;
    /*实际完工[FORMATE:YMD]*/
    private String ta014;
    /*预计产量*/
    private BigDecimal ta015;
    /*已领套数*/
    private BigDecimal ta016;
    /*已生产量*/
    private BigDecimal ta017;
    /*报废数量*/
    private BigDecimal ta018;
    /*工厂编号*/
    private String ta019;
    /*入库仓库*/
    private String ta020;
    /*工作中心*/
    private String ta021;
    /*委外单价*/
    private BigDecimal ta022;
    /*加工单位*/
    private String ta023;
    /*源工单单别*/
    private String ta024;
    /*源工单编号*/
    private String ta025;
    /*订单单别*/
    private String ta026;
    /*订单单号*/
    private String ta027;
    /*订单序号*/
    private String ta028;
    /*备注*/
    private String ta029;
    /*性质 1.厂内工单、2.委外工单*/
    private String ta030;
    /*打印次数*/
    private Integer ta031;
    /*委外供应商*/
    private String ta032;
    /*计划批号*/
    private String ta033;
    /*产品品名*/
    private String ta034;
    /*产品规格*/
    private String ta035;
    /*预计开工 休假显示0.不休假、1.全天、2.半天*/
    private String ta036;
    /*预计完工 休假显示0.不休假、1.全天、2.半天*/
    private String ta037;
    /*实际开工 休假显示0.不休假、1.全天、2.半天*/
    private String ta038;
    /*实际完工 休假显示0.不休假、1.全天、2.半天*/
    private String ta039;
    /*审核日[FORMATE:YMD]*/
    private String ta040;
    /*审核者*/
    private String ta041;
    /*币种*/
    private String ta042;
    /*汇率*/
    private BigDecimal ta043;
    /*急料*/
    private String ta044;
    /*预计产包装量*/
    private BigDecimal ta045;
    /*已生产包装量*/
    private BigDecimal ta046;
    /*报废包装数量*/
    private BigDecimal ta047;
    /*包装单位*/
    private String ta048;
    /*签核状态码 0.待处理、S.传送中、1.签核中、2.退件、3.已核准、4.撤销审核中、5.作废中、6.取消作废中、N.不运行电子签核[DEF:"N"]*/
    private String ta049;
    /*其他备注一*/
    private String ta050;
    /*其他备注二*/
    private String ta051;
    /*其他备注三*/
    private String ta052;
    /*其他备注四*/
    private String ta053;
    /*传送次数[DEF:0]*/
    private Integer ta054;
    /*税种 1.应税内含、2.应税外加、3.零税率、4.免税、9.不计税*/
    private String ta055;
    /*加工数量*/
    private BigDecimal ta056;
    /*生产批号*/
    private String ta057;
    /*批号说明*/
    private String ta058;
    /*准产证 Y/N,[DEF:"N"]*/
    private String ta059;
    /*破坏数量*/
    private BigDecimal ta060;
    /*破坏包装数量*/
    private BigDecimal ta061;
    /*途程卡打印次数*/
    private Integer ta062;
    /*需求日期[FORMATE:YMD]*/
    private String ta063;
    /*部门编号*/
    private String ta064;
    /*预留字段*/
    private String ta065;
    /*预留字段*/
    private String ta066;
    /*预留字段*/
    private String ta067;
    /*预留字段*/
    private BigDecimal ta068;
    /*预留字段*/
    private BigDecimal ta069;
    /*预留字段*/
    private BigDecimal ta070;
    /*付款条件编号*/
    private String ta071;
    /*税率 税率(%)[DEF:9.9999]*/
    private BigDecimal ta072;
    /*配置方案*/
    private String ta073;
    /*配置序号*/
    private String ta074;
    /*已装配数量*/
    private BigDecimal tad01;
    /*类型 1.工程品号 2.正式品号[DEF:"2"]*/
    private String tac01;
    /*到货数量*/
    private BigDecimal tac02;
    /*到货包装数量*/
    private BigDecimal tac03;
    /*树状码*/
    private String ta075;
    /*根来源单别*/
    private String ta076;
    /*根来源单号*/
    private String ta077;
    /*根来源序号*/
    private String ta078;
    /*计划序号*/
    private String ta079;
    /*计划版本*/
    private String ta080;
    /*开工日占用天数*/
    private BigDecimal ta081;
    /*完工日占用天数*/
    private BigDecimal ta082;
    /*项目编号*/
    private String ta083;

    private List<MoctbDto> moctbDtos;

    public String getTa001() {
        return ta001;
    }

    public void setTa001(String ta001) {
        this.ta001 = ta001;
    }

    public String getTa002() {
        return ta002;
    }

    public void setTa002(String ta002) {
        this.ta002 = ta002;
    }

    public String getTa003() {
        return ta003;
    }

    public void setTa003(String ta003) {
        this.ta003 = ta003;
    }

    public String getTa004() {
        return ta004;
    }

    public void setTa004(String ta004) {
        this.ta004 = ta004;
    }

    public String getTa005() {
        return ta005;
    }

    public void setTa005(String ta005) {
        this.ta005 = ta005;
    }

    public String getTa006() {
        return ta006;
    }

    public void setTa006(String ta006) {
        this.ta006 = ta006;
    }

    public String getTa007() {
        return ta007;
    }

    public void setTa007(String ta007) {
        this.ta007 = ta007;
    }

    public String getTa008() {
        return ta008;
    }

    public void setTa008(String ta008) {
        this.ta008 = ta008;
    }

    public String getTa009() {
        return ta009;
    }

    public void setTa009(String ta009) {
        this.ta009 = ta009;
    }

    public String getTa010() {
        return ta010;
    }

    public void setTa010(String ta010) {
        this.ta010 = ta010;
    }

    public String getTa011() {
        return ta011;
    }

    public void setTa011(String ta011) {
        this.ta011 = ta011;
    }

    public String getTa012() {
        return ta012;
    }

    public void setTa012(String ta012) {
        this.ta012 = ta012;
    }

    public String getTa013() {
        return ta013;
    }

    public void setTa013(String ta013) {
        this.ta013 = ta013;
    }

    public String getTa014() {
        return ta014;
    }

    public void setTa014(String ta014) {
        this.ta014 = ta014;
    }

    public BigDecimal getTa015() {
        return ta015;
    }

    public void setTa015(BigDecimal ta015) {
        this.ta015 = ta015;
    }

    public BigDecimal getTa016() {
        return ta016;
    }

    public void setTa016(BigDecimal ta016) {
        this.ta016 = ta016;
    }

    public BigDecimal getTa017() {
        return ta017;
    }

    public void setTa017(BigDecimal ta017) {
        this.ta017 = ta017;
    }

    public BigDecimal getTa018() {
        return ta018;
    }

    public void setTa018(BigDecimal ta018) {
        this.ta018 = ta018;
    }

    public String getTa019() {
        return ta019;
    }

    public void setTa019(String ta019) {
        this.ta019 = ta019;
    }

    public String getTa020() {
        return ta020;
    }

    public void setTa020(String ta020) {
        this.ta020 = ta020;
    }

    public String getTa021() {
        return ta021;
    }

    public void setTa021(String ta021) {
        this.ta021 = ta021;
    }

    public BigDecimal getTa022() {
        return ta022;
    }

    public void setTa022(BigDecimal ta022) {
        this.ta022 = ta022;
    }

    public String getTa023() {
        return ta023;
    }

    public void setTa023(String ta023) {
        this.ta023 = ta023;
    }

    public String getTa024() {
        return ta024;
    }

    public void setTa024(String ta024) {
        this.ta024 = ta024;
    }

    public String getTa025() {
        return ta025;
    }

    public void setTa025(String ta025) {
        this.ta025 = ta025;
    }

    public String getTa026() {
        return ta026;
    }

    public void setTa026(String ta026) {
        this.ta026 = ta026;
    }

    public String getTa027() {
        return ta027;
    }

    public void setTa027(String ta027) {
        this.ta027 = ta027;
    }

    public String getTa028() {
        return ta028;
    }

    public void setTa028(String ta028) {
        this.ta028 = ta028;
    }

    public String getTa029() {
        return ta029;
    }

    public void setTa029(String ta029) {
        this.ta029 = ta029;
    }

    public String getTa030() {
        return ta030;
    }

    public void setTa030(String ta030) {
        this.ta030 = ta030;
    }

    public Integer getTa031() {
        return ta031;
    }

    public void setTa031(Integer ta031) {
        this.ta031 = ta031;
    }

    public String getTa032() {
        return ta032;
    }

    public void setTa032(String ta032) {
        this.ta032 = ta032;
    }

    public String getTa033() {
        return ta033;
    }

    public void setTa033(String ta033) {
        this.ta033 = ta033;
    }

    public String getTa034() {
        return ta034;
    }

    public void setTa034(String ta034) {
        this.ta034 = ta034;
    }

    public String getTa035() {
        return ta035;
    }

    public void setTa035(String ta035) {
        this.ta035 = ta035;
    }

    public String getTa036() {
        return ta036;
    }

    public void setTa036(String ta036) {
        this.ta036 = ta036;
    }

    public String getTa037() {
        return ta037;
    }

    public void setTa037(String ta037) {
        this.ta037 = ta037;
    }

    public String getTa038() {
        return ta038;
    }

    public void setTa038(String ta038) {
        this.ta038 = ta038;
    }

    public String getTa039() {
        return ta039;
    }

    public void setTa039(String ta039) {
        this.ta039 = ta039;
    }

    public String getTa040() {
        return ta040;
    }

    public void setTa040(String ta040) {
        this.ta040 = ta040;
    }

    public String getTa041() {
        return ta041;
    }

    public void setTa041(String ta041) {
        this.ta041 = ta041;
    }

    public String getTa042() {
        return ta042;
    }

    public void setTa042(String ta042) {
        this.ta042 = ta042;
    }

    public BigDecimal getTa043() {
        return ta043;
    }

    public void setTa043(BigDecimal ta043) {
        this.ta043 = ta043;
    }

    public String getTa044() {
        return ta044;
    }

    public void setTa044(String ta044) {
        this.ta044 = ta044;
    }

    public BigDecimal getTa045() {
        return ta045;
    }

    public void setTa045(BigDecimal ta045) {
        this.ta045 = ta045;
    }

    public BigDecimal getTa046() {
        return ta046;
    }

    public void setTa046(BigDecimal ta046) {
        this.ta046 = ta046;
    }

    public BigDecimal getTa047() {
        return ta047;
    }

    public void setTa047(BigDecimal ta047) {
        this.ta047 = ta047;
    }

    public String getTa048() {
        return ta048;
    }

    public void setTa048(String ta048) {
        this.ta048 = ta048;
    }

    public String getTa049() {
        return ta049;
    }

    public void setTa049(String ta049) {
        this.ta049 = ta049;
    }

    public String getTa050() {
        return ta050;
    }

    public void setTa050(String ta050) {
        this.ta050 = ta050;
    }

    public String getTa051() {
        return ta051;
    }

    public void setTa051(String ta051) {
        this.ta051 = ta051;
    }

    public String getTa052() {
        return ta052;
    }

    public void setTa052(String ta052) {
        this.ta052 = ta052;
    }

    public String getTa053() {
        return ta053;
    }

    public void setTa053(String ta053) {
        this.ta053 = ta053;
    }

    public Integer getTa054() {
        return ta054;
    }

    public void setTa054(Integer ta054) {
        this.ta054 = ta054;
    }

    public String getTa055() {
        return ta055;
    }

    public void setTa055(String ta055) {
        this.ta055 = ta055;
    }

    public BigDecimal getTa056() {
        return ta056;
    }

    public void setTa056(BigDecimal ta056) {
        this.ta056 = ta056;
    }

    public String getTa057() {
        return ta057;
    }

    public void setTa057(String ta057) {
        this.ta057 = ta057;
    }

    public String getTa058() {
        return ta058;
    }

    public void setTa058(String ta058) {
        this.ta058 = ta058;
    }

    public String getTa059() {
        return ta059;
    }

    public void setTa059(String ta059) {
        this.ta059 = ta059;
    }

    public BigDecimal getTa060() {
        return ta060;
    }

    public void setTa060(BigDecimal ta060) {
        this.ta060 = ta060;
    }

    public BigDecimal getTa061() {
        return ta061;
    }

    public void setTa061(BigDecimal ta061) {
        this.ta061 = ta061;
    }

    public Integer getTa062() {
        return ta062;
    }

    public void setTa062(Integer ta062) {
        this.ta062 = ta062;
    }

    public String getTa063() {
        return ta063;
    }

    public void setTa063(String ta063) {
        this.ta063 = ta063;
    }

    public String getTa064() {
        return ta064;
    }

    public void setTa064(String ta064) {
        this.ta064 = ta064;
    }

    public String getTa065() {
        return ta065;
    }

    public void setTa065(String ta065) {
        this.ta065 = ta065;
    }

    public String getTa066() {
        return ta066;
    }

    public void setTa066(String ta066) {
        this.ta066 = ta066;
    }

    public String getTa067() {
        return ta067;
    }

    public void setTa067(String ta067) {
        this.ta067 = ta067;
    }

    public BigDecimal getTa068() {
        return ta068;
    }

    public void setTa068(BigDecimal ta068) {
        this.ta068 = ta068;
    }

    public BigDecimal getTa069() {
        return ta069;
    }

    public void setTa069(BigDecimal ta069) {
        this.ta069 = ta069;
    }

    public BigDecimal getTa070() {
        return ta070;
    }

    public void setTa070(BigDecimal ta070) {
        this.ta070 = ta070;
    }

    public String getTa071() {
        return ta071;
    }

    public void setTa071(String ta071) {
        this.ta071 = ta071;
    }

    public BigDecimal getTa072() {
        return ta072;
    }

    public void setTa072(BigDecimal ta072) {
        this.ta072 = ta072;
    }

    public String getTa073() {
        return ta073;
    }

    public void setTa073(String ta073) {
        this.ta073 = ta073;
    }

    public String getTa074() {
        return ta074;
    }

    public void setTa074(String ta074) {
        this.ta074 = ta074;
    }

    public BigDecimal getTad01() {
        return tad01;
    }

    public void setTad01(BigDecimal tad01) {
        this.tad01 = tad01;
    }

    public String getTac01() {
        return tac01;
    }

    public void setTac01(String tac01) {
        this.tac01 = tac01;
    }

    public BigDecimal getTac02() {
        return tac02;
    }

    public void setTac02(BigDecimal tac02) {
        this.tac02 = tac02;
    }

    public BigDecimal getTac03() {
        return tac03;
    }

    public void setTac03(BigDecimal tac03) {
        this.tac03 = tac03;
    }

    public String getTa075() {
        return ta075;
    }

    public void setTa075(String ta075) {
        this.ta075 = ta075;
    }

    public String getTa076() {
        return ta076;
    }

    public void setTa076(String ta076) {
        this.ta076 = ta076;
    }

    public String getTa077() {
        return ta077;
    }

    public void setTa077(String ta077) {
        this.ta077 = ta077;
    }

    public String getTa078() {
        return ta078;
    }

    public void setTa078(String ta078) {
        this.ta078 = ta078;
    }

    public String getTa079() {
        return ta079;
    }

    public void setTa079(String ta079) {
        this.ta079 = ta079;
    }

    public String getTa080() {
        return ta080;
    }

    public void setTa080(String ta080) {
        this.ta080 = ta080;
    }

    public BigDecimal getTa081() {
        return ta081;
    }

    public void setTa081(BigDecimal ta081) {
        this.ta081 = ta081;
    }

    public BigDecimal getTa082() {
        return ta082;
    }

    public void setTa082(BigDecimal ta082) {
        this.ta082 = ta082;
    }

    public String getTa083() {
        return ta083;
    }

    public void setTa083(String ta083) {
        this.ta083 = ta083;
    }

    public List<MoctbDto> getMoctbDtos() {
        return moctbDtos;
    }

    public void setMoctbDtos(List<MoctbDto> moctbDtos) {
        this.moctbDtos = moctbDtos;
    }
}
