package com.topsunit.scanservice.ximai.entity;

import java.io.Serializable;
import java.util.Objects;

/**
 * <p>Title: InvmcId</p>
 * <p>Description: 品号仓库档Id</p>
 *
 * @author xi.feng
 * @version V1.0
 * @date 2021/10/26
 */
public class InvmcId implements Serializable {

    public InvmcId() {
    }

    public InvmcId(String mc001, String mc002) {
        this.mc001 = String.format("%1$-20s", mc001);
        this.mc002 = String.format("%1$-10s", mc002);
    }

    public String mc001;
    public String mc002;

    public String getMc001() {
        return mc001;
    }

    public void setMc001(String mc001) {
        this.mc001 = mc001;
    }

    public String getMc002() {
        return mc002;
    }

    public void setMc002(String mc002) {
        this.mc002 = mc002;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        InvmcId invmcId = (InvmcId) o;
        return mc001.equals(invmcId.mc001) && mc002.equals(invmcId.mc002);
    }

    @Override
    public int hashCode() {
        return Objects.hash(mc001, mc002);
    }
}
